Search found 416 matches

by Syres
Wed Jan 22, 2020 6:07 pm
Forum: Help on using FreeCAD
Topic: TechDraw and unicode in dimension text
Replies: 5
Views: 116

Re: TechDraw and unicode in dimension text

I've got a small dual boot partition purely for Linux AppImage testing (99% of the time I use Windows) and I can confirm that not just in Techdraw but in FreeCAD as a whole neither of the 'manual' ways to create a diameter symbol work but on both my Linux Appimage and Windows builds the Draft dimens...
by Syres
Wed Jan 22, 2020 3:21 pm
Forum: TechDraw
Topic: How To Remove Markers?
Replies: 3
Views: 95

Re: How To Remove Markers?

With the View selected, click the View Tab to show the Properties, under Decoration is Arc Center Marks, set to false as per: ArcCenterMarks.jpg OS: Windows 7 SP 1 (6.1) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.19311 (Git) Build type: Release Branch: master Hash: 120b69c74f...
by Syres
Tue Jan 21, 2020 12:09 pm
Forum: Help on using FreeCAD
Topic: Errors on startup
Replies: 10
Views: 178

Re: Errors on startup

I wonder if Python 3.8.1 is the culprit in that it's being fussy even with comment lines, hence why I've never seen the errors as I'm still on Python 3.6.8??
by Syres
Tue Jan 21, 2020 12:04 pm
Forum: Help on using FreeCAD
Topic: Multiple issues with "utility to sweep"
Replies: 15
Views: 267

Re: Multiple issues with "utility to sweep"

I'm afraid it's a copy and paste from another recent post but, the Wire selection issue looks like a regression to me, last build I have that it worked as expected: OS: Windows 7 SP 1 (6.1) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.17651 (Git) Build type: Release Branch: mas...
by Syres
Tue Jan 21, 2020 9:36 am
Forum: Help on using FreeCAD
Topic: Errors on startup
Replies: 10
Views: 178

Re: Errors on startup

During initialization the error "'ascii' codec can't decode byte 0xc3 in position 50: ordinal not in range(128)" occurred in /Users/cb/Desktop/FreeCAD.app/Contents/Resources/Mod/ReverseEngineering/InitGui.py Please look into the log file for further information During initialization the error "'asc...
by Syres
Mon Jan 20, 2020 9:22 am
Forum: Draft, Arch & BIM
Topic: Draft preferences: problems with font settings
Replies: 20
Views: 1497

Re: Draft preferences: problems with font settings

What's your opinion about this? My testing wasn't thorough enough to have highlighted my major flaw!! I've tested your DraftGui.py as an existing user and as a brand new user and I've not been able to break it. I did notice that you didn't have the Windows OS check if platform.system() == 'Windows'...
by Syres
Sun Jan 19, 2020 11:48 am
Forum: Help on using FreeCAD
Topic: [Solved] Edge selection of Part::compounds causes exception
Replies: 5
Views: 118

Re: [Bug?] Edge selection of Part::compounds causes exception

Cannot replicate bug using either: OS: Windows 7 SP 1 (6.1) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.19311 (Git) Build type: Release Branch: master Hash: 120b69c74f7dac8c4fa6dbc0a7e10674bde9216c Python version: 3.6.8 Qt version: 5.12.1 Coin version: 4.0.0a OCC version: 7.3....
by Syres
Sun Jan 19, 2020 11:04 am
Forum: TechDraw
Topic: [Solved] Balloon Arrow pointing in opposite direction using build 0.19.19181 onwards
Replies: 4
Views: 174

Re: [Solved] Balloon Arrow pointing in opposite direction using build 0.19.19181 onwards

Macro as promised: # -*- coding: utf-8 -*- import FreeCAD doc = FreeCAD.ActiveDocument objs = FreeCAD.ActiveDocument.Objects for obj in objs: if obj.TypeId == "TechDraw::DrawViewBalloon": oldOX = obj.OriginX oldOY = obj.OriginY newOX = oldOX / 10 newOY = oldOY / 10 obj.OriginX = newOX obj.OriginY = ...
by Syres
Sun Jan 19, 2020 10:42 am
Forum: TechDraw
Topic: [Solved] Balloon Arrow pointing in opposite direction using build 0.19.19181 onwards
Replies: 4
Views: 174

Re: Balloon Arrow pointing in opposite direction using build 0.19.19181 onwards

In the earlier versions the values of OriginX and OriginY were overstated by 10x. That has been corrected, so now older Balloons are off. Just divide OriginX and OriginY by 10 and the leader will go back to the right position. Thanks, if I can get my brain in gear and write a Python macro to run ro...